aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2010-01-10 08:52:24 -0800
committerJunio C Hamano <gitster@pobox.com>2010-01-10 08:52:24 -0800
commit7f695d262a67e1d8d970d92fe84579b6609bca96 (patch)
tree3e13272a64cd1418685db4ede0fc0e46210766b3 /t
parent2b35fccf734ab1d30828d95ea34f1755d9183365 (diff)
parent4f2e842dd0046a12bd82bb2b5aa066c686dc3f44 (diff)
downloadgit-7f695d262a67e1d8d970d92fe84579b6609bca96.tar.gz
git-7f695d262a67e1d8d970d92fe84579b6609bca96.tar.xz
Merge branch 'bg/maint-remote-update-default'
* bg/maint-remote-update-default: Fix "git remote update" with remotes.defalt set
Diffstat (limited to 't')
-rwxr-xr-xt/t5505-remote.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/t/t5505-remote.sh b/t/t5505-remote.sh
index fd166d9de..936fe0a1a 100755
--- a/t/t5505-remote.sh
+++ b/t/t5505-remote.sh
@@ -419,6 +419,20 @@ test_expect_success 'update default (overridden, with funny whitespace)' '
'
+test_expect_success 'update (with remotes.default defined)' '
+
+ (cd one &&
+ for b in $(git branch -r)
+ do
+ git branch -r -d $b || break
+ done &&
+ git config remotes.default "drosophila" &&
+ git remote update &&
+ git branch -r > output &&
+ test_cmp expect output)
+
+'
+
test_expect_success '"remote show" does not show symbolic refs' '
git clone one three &&